Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbrian m. carlson <sandals@crustytoothpaste.net>2018-05-13 05:24:19 +0300
committerJunio C Hamano <gitster@pobox.com>2018-05-14 05:02:01 +0300
commitbfb546f86c8b779ca9d288a1b95a6dad5ad636d5 (patch)
treefb4ec629451cd51d9b0a82e955ca8a8bc1eb502d /t/t4044-diff-index-unique-abbrev.sh
parentd7a2fc82491b63a65fd38f833cabbee9803e45ca (diff)
t4044: skip test if not using SHA-1
This test relies on objects with colliding short names which are necessarily dependent on the hash used. Skip the test if we're not using SHA-1. Signed-off-by: brian m. carlson <sandals@crustytoothpaste.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t4044-diff-index-unique-abbrev.sh')
-rwxr-xr-xt/t4044-diff-index-unique-abbrev.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t4044-diff-index-unique-abbrev.sh b/t/t4044-diff-index-unique-abbrev.sh
index d5ce72be63..647905e01f 100755
--- a/t/t4044-diff-index-unique-abbrev.sh
+++ b/t/t4044-diff-index-unique-abbrev.sh
@@ -3,6 +3,12 @@
test_description='test unique sha1 abbreviation on "index from..to" line'
. ./test-lib.sh
+if ! test_have_prereq SHA1
+then
+ skip_all='not using SHA-1 for objects'
+ test_done
+fi
+
cat >expect_initial <<EOF
100644 blob 51d2738463ea4ca66f8691c91e33ce64b7d41bb1 foo
EOF